unit XEasyMainFrm2;

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls, QActnList, QMenus, QTypes, XTreeView2, XTreeFrm2;

type
  TMainForm = class(TForm)
    MainMenu1: TMainMenu;
    File_Item: TMenuItem;
    FileOpen_Item: TMenuItem;
    OpenDialog: TOpenDialog;
    ActionList: TActionList;
    FileOpen_Action: TAction;
    procedure FileOpen_ActionExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
                   //graphicfilter
var
  MainForm: TMainForm;

implementation

{$R *.xfm}

procedure TMainForm.FileOpen_ActionExecute(Sender: TObject);
begin
  if OpenDialog.Execute then
  begin
    with TXTreeForm.Create(Application) do begin
      try
        FileName := OpenDialog.FileName;
        Show;
      except
        Free;
      end;
    end;
    { Add code to open OpenDialog.FileName }
  end;

end;

end.
